#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end


cp -f $SCRIPTPATH/amiserv5.php /usr/share/ombutel/backup-scripts/

if [ $OS = "debian" ]
then
cat > /etc/apache2/conf-available/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off

#Since amiserv 5.27, we are using unix socket and use proxy to route ws to unix socket.
#unix socket solve a performance problem with mono and .net tcp sockets.
ProxyPass /amiserv/ws unix:///run/amiserv.sock|ws://localhost:65535
ProxyPassReverse /amiserv/ws unix:///run/amiserv.sock|ws://localhost:65535

#If you wish to use the old school .net tcp socket, just comment the 2 lines before and uncomment these one.
#ProxyPass /amiserv/ws ws://localhost:20000 retry=0
#ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
rm -f /etc/apache2/conf-enabled/z_amiserv.conf
ln -s /etc/apache2/conf-available/z_amiserv.conf /etc/apache2/conf-enabled/z_amiserv.conf
systemctl restart apache2
else
cat > /etc/httpd/conf.d/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off

#Since amiserv 5.27, we are using unix socket and use proxy to route ws to unix socket. 
#unix socket solve a performance problem with mono and .net tcp sockets.
ProxyPass /amiserv/ws unix:///run/amiserv.sock|ws://localhost:65535
ProxyPassReverse /amiserv/ws unix:///run/amiserv.sock|ws://localhost:65535

#If you wish to use the old school .net tcp socket, just comment the 2 lines before and uncomment these one.
#ProxyPass /amiserv/ws ws://localhost:20000 retry=0
#ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
systemctl restart httpd
fi