SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "disablequeueintercept";
SET @columntype = "TINYINT(1)";
SET @columndefault = "NOT NULL DEFAULT 0";
SET @aftercolumn = "openpopuponstate";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
